// simple vertex shader

varying vec3 N;
varying vec3 V;
varying vec3 L;

void main()
{
	gl_Position    = gl_ModelViewProjectionMatrix * gl_Vertex;
	gl_FrontColor  = gl_Color;
	gl_TexCoord[0] = gl_MultiTexCoord0;
	vec3 vertice = ( gl_ModelViewMatrix * gl_Vertex ).xyz;
	vec3 luz = ( gl_LightSource[0].position ).xyz;
	N = ( gl_NormalMatrix * gl_Normal ).xyz;
	V = -vertice;
	L = luz - vertice;
}
